image: node:lts

# All the images are pull down before the execution
services:
  - mongo:4.0.10

before_script:
  - npm install

cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
    - .npm
    - /node_modules/

stages:
  - code-review
  - test
  # - stage
  # - production

code-review:
  stage: code-review
  script:
    - npm run eslint:ci


# Testing

# test-api:
#   stage: test
#   script:
#     - npm run test
